Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::IDebugCaptureMetadata Class Reference

Interface used to query hardware capture count for a request. More...

`#include <DebugCaptureMetadata.h>`

Inheritance diagram for Argus::Ext::IDebugCaptureMetadata:

List of all members.

## Public Member Functions

virtual uint32_t | getHwFrameCount () const =0
| Returns hardware capture count for a request.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IDebugCaptureMetadata ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface used to query hardware capture count for a request.

This interface is available from the CaptureMetadata class.

Definition at line 56 of file DebugCaptureMetadata.h.

## Constructor & Destructor Documentation

Argus::Ext::IDebugCaptureMetadata::~IDebugCaptureMetadata | ( |  | ) |

inlineprotected

Definition at line 68 of file DebugCaptureMetadata.h.

## Member Function Documentation

virtual uint32_t Argus::Ext::IDebugCaptureMetadata::getHwFrameCount | ( |  | ) | const

pure virtual

Returns hardware capture count for a request.

Hardware capture counter begin counting after sensor opened.

static const InterfaceID& Argus::Ext::IDebugCaptureMetadata::id | ( |  | ) |

inlinestatic

Definition at line 59 of file DebugCaptureMetadata.h.

The documentation for this class was generated from the following file:

- include/Argus/Ext/DebugCaptureMetadata.h